/* File: utils.h
   ======================
 This is the utils header file for ClockEveryWhere.  It contains misc. 
 function that are relevant to the entire project.

	File
	----
	utils.h

   History
   -------
   19/06/2000 Created
*/

#ifndef _utils_h
#define _utils_h

#include "ClockEveryWhere.h"
#include <Form.h>


void		*GetObjectPtr(FormPtr theFormP, UInt16 objectID);

void		Utils_GetHackPref(CEWpref_t *aHackPrefsPtr);

void		Utils_DrawTheClock(FormPtr frmP, Boolean force, CEWpref_t *aHackPrefsPtr);


/* Function for OS compatibility */
Err		Utils_RomVersionCompatible(UInt32 requiredVersion);

#endif // _utils_h

